public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Craig Andrews" <candrews@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocr-runtime/
Date: Wed,  7 Aug 2019 17:38:53 +0000 (UTC)	[thread overview]
Message-ID: <1565199525.735e70751a6ca277349ff68c86c754b3e8c36026.candrews@gentoo> (raw)

commit:     735e70751a6ca277349ff68c86c754b3e8c36026
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 24 18:48:47 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Wed Aug  7 17:38:45 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=735e7075

dev-libs/rocr-runtime: add -9999 version

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-libs/rocr-runtime/rocr-runtime-9999.ebuild | 31 ++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild b/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild
new file mode 100644
index 00000000000..a31193337a6
--- /dev/null
+++ b/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+if [[ ${PV} == *9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCR-Runtime/"
+	inherit git-r3
+	S="${WORKDIR}/${P}/src"
+else
+	SRC_URI="https://github.com/RadeonOpenCompute/ROCR-Runtime/archive/roc-${PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/ROCR-Runtime-roc-${PV}/src"
+	KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Radeon Open Compute Runtime"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCR-Runtime"
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+
+RDEPEND="sys-process/numactl"
+DEPEND="${RDEPEND}
+	dev-libs/roct-thunk-interface"
+
+src_prepare() {
+	sed -e "s:get_version ( \"1.0.0\" ):get_version ( \"${PV}\" ):" -i CMakeLists.txt || die
+	cmake-utils_src_prepare
+}


             reply	other threads:[~2019-08-07 17:38 UTC|newest]

Thread overview: 46+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-07 17:38 Craig Andrews [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-28  8:00 [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocr-runtime/ Patrick Lauer
2024-03-12  2:25 Sam James
2024-03-12  2:25 Sam James
2024-03-12  2:25 Sam James
2024-03-08 19:26 Sam James
2023-12-23 16:10 罗百科
2023-12-23 10:43 罗百科
2023-10-24  8:12 罗百科
2023-10-19 10:38 罗百科
2023-10-09 12:34 罗百科
2023-09-03  6:31 罗百科
2023-03-02  8:53 罗百科
2023-02-22 16:16 Sam James
2023-02-08  4:18 Sam James
2023-02-08  4:18 Sam James
2023-02-01  9:53 Andreas Sturmlechner
2022-12-20  9:26 罗百科
2022-11-19 11:50 Benda XU
2022-08-06 14:23 Benda XU
2022-06-22 13:21 Benda XU
2021-08-19 19:46 Craig Andrews
2021-07-11  3:26 Craig Andrews
2021-06-28 20:05 Craig Andrews
2021-04-27 13:16 Craig Andrews
2021-04-08 19:18 Craig Andrews
2020-12-21 12:55 Craig Andrews
2020-12-06 19:04 Craig Andrews
2020-11-15 12:43 Craig Andrews
2020-11-13 21:07 Craig Andrews
2020-09-20 21:01 Craig Andrews
2020-09-20 20:54 Craig Andrews
2020-09-20 20:54 Craig Andrews
2020-09-08 16:22 Craig Andrews
2020-08-25 21:08 Craig Andrews
2020-08-22 17:49 Craig Andrews
2020-04-01 19:33 Craig Andrews
2020-03-02  0:39 Craig Andrews
2020-02-29  4:36 Craig Andrews
2020-01-02 12:59 Craig Andrews
2019-11-24 17:10 Craig Andrews
2019-10-05 14:32 Craig Andrews
2019-09-30 15:23 Craig Andrews
2019-08-20 18:25 Craig Andrews
2019-08-14 20:54 Craig Andrews
2019-08-07 17:38 Craig Andrews

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1565199525.735e70751a6ca277349ff68c86c754b3e8c36026.candrews@gentoo \
    --to=candrews@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox